Bug 119688 - Full-screen fails to calculate screen size if launched from unmaximized window (gtk3)
Summary: Full-screen fails to calculate screen size if launched from unmaximized windo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Full-Screen-Mode GTK3
  Show dependency treegraph
 
Reported: 2018-09-04 10:52 UTC by Xisco Faulí
Modified: 2019-04-30 10:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (7.51 MB, video/mp4)
2018-09-04 10:58 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-09-04 10:52:17 UTC
1. Launch Writer
2. Unmaximize the window
3. Relaunch LibreOffice -> it's launched unmaximized
4. Go to Full screen ( Ctrl + Shift + J )

-> Writer is displayed in half of the screen, instead of fullscreen

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 4b5fcd417587cfb9e6d8b61ecb037ab165eeb5b9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 1 Xisco Faulí 2018-09-04 10:55:24 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1aeff41c4a6b16a2ec69faf4a0bee301bd609101

author	Caolán McNamara <caolanm@redhat.com>	2016-11-15 13:04:16 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2016-11-15 13:23:44 +0000
commit	1aeff41c4a6b16a2ec69faf4a0bee301bd609101 (patch)
tree	6181aec00aa4f6b69c297a03257586de4933c885
parent	0d051730156f633150fa9e3107fe97cf7be6d8f9 (diff)
Resolves: tdf#102957 revert SetMinOutputSizePixel workaround

Bisected with: bibisect-linux-64-5.3

Adding Cc: to Caolán McNamara
Comment 2 Xisco Faulí 2018-09-04 10:58:56 UTC
Created attachment 144665 [details]
screencast
Comment 3 Caolán McNamara 2018-12-20 10:31:52 UTC
it seems, on the face of it, that gtk_widget_show has to be called before this works right under X, though it works fine under wayland
Comment 4 Commit Notification 2018-12-20 12:10:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/88fc17e473ce2d3e8a7eae4235446a75eb9e91a2%5E%21

Resolves: tdf#119688 under X full-screen doesn't work before gtk_widget_show

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2018-12-20 12:11:12 UTC
backport to 6-2 in gerrit, a little reluctant to backport to 6-1 until there's been some burn in time to see if anything goes wrong
Comment 6 BogdanB 2019-01-02 14:40:10 UTC
Verified on 6.3, but I will not mark as verified as McNamara want to backport this to 6.2 or maybe 6.1. So not yet solved on this last versions.


Version: 6.3.0.0.alpha0+
Build ID: be8897d9c63a77b223a9c0aed1d2eb689e0e0082
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-02_04:49:04
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Fixed.
Comment 7 Caolán McNamara 2019-01-17 09:57:49 UTC
for bug #122334 I'll revert this
Comment 8 Xisco Faulí 2019-04-30 10:07:58 UTC
Dear Caolán McNamara,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.